SystemOrganization addCategory: #ConfigurationOfSunnysidePlanning2!

Object subclass: #ConfigurationOfSunnysidePlanning2
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSunnysidePlanning2'!

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'private' stamp: 'BartGauquie 6/22/2010 21:36'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'private' stamp: 'BartGauquie 6/22/2010 21:36'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'metacello tool support' stamp: 'BartGauquie 6/22/2010 21:36'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'metacello tool support' stamp: 'BartGauquie 6/22/2010 21:36'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'loading' stamp: 'BartGauquie 6/22/2010 21:36'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'metacello tool support' stamp: 'BartGauquie 6/22/2010 21:36'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'accessing' stamp: 'BartGauquie 6/22/2010 21:36'!
project

	^self new project! !

!ConfigurationOfSunnysidePlanning2 class methodsFor: 'unloading Metacello' stamp: 'BartGauquie 6/22/2010 21:36'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'private' stamp: 'BartGauquie 9/25/2010 09:07'!
addDependentProject: aProject withVersion: version usingSpec: spec
	spec
		project: aProject
		with: [ 
			spec
				className: 'ConfigurationOf' , aProject;
				version: version;
				file: 'ConfigurationOf' , aProject;
				repository: 'http://www.squeaksource.com/MetacelloRepository' ]! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'baselines' stamp: 'BartGauquie 9/23/2010 12:59'!
baseline100: spec 
	<version: '1.0.0-baseline'>
	
	spec for: #common do: [
		spec 
			blessing: 
				#baseline.
		{'WebTester'->'1.1-baseline' . 
		'GoogleAnalytics'->'1.0-baseline' . 
		'AXAnnouncements'->'1.0' . 
		'PagedReader'->'1.0-baseline' . 
		'Magmafy'->'1.0-baseline' . 
		'NotificationsArea'->'1.0-baseline' . 
		'Seaside30'->'3.0.0-rc.3'} 
			do: [:eachProject|
				spec 
					project: 
						eachProject key 
							with: [
								spec 
									className: 'ConfigurationOf', eachProject key;
									version: eachProject value;
									file: 'ConfigurationOf', eachProject key;
									repository: 'http://www.squeaksource.com/MetacelloRepository']].
			spec 
				project: 
				'Magma'
					with: [
						spec 
							className: 'ConfigurationOfMagma';
							version: '1.1r2';
							loads: #('Magma tester');
							file: 'ConfigurationOfMagma';
							repository: 'http://www.squeaksource.com/MetacelloRepository'].		
			spec
				project: 
				'Magritte2' 
					with:  [
						spec
							className: 'ConfigurationOfMagritte2';
							version: '2.0.5';
							loads: #('Magritte-Model' 'Magritte-Tests-Model' 'Magritte-Seaside');
							file: 'ConfigurationOfMagritte2';
							repository: 'http://www.squeaksource.com/MetacelloRepository'];			
			repository: 
				'http://www.squeaksource.com/SunnysidePlanning2';
			package: 
				'SunnysidePlanning2' 
					with: [ 
						spec requires: #('WebTester' 'GoogleAnalytics' 'AXAnnouncements' 
											'PagedReader' 'Magmafy' 'NotificationsArea' 
											'Magma' 'Magritte2' 'Seaside30')];
				group: 
				'default' with: #('SunnysidePlanning2')].
			! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'baselines' stamp: 'BartGauquie 9/26/2010 14:22'!
baseline110: spec 
	<version: '1.1.0-baseline'>
	
	spec for: #common do: [
		spec 
			blessing: 
				#baseline.
		{'WebTester'->'1.1-baseline' . 
		'GoogleAnalytics'->'1.0-baseline' . 
		'AXAnnouncements'->'1.0' . 
		'PagedReader'->'1.1-baseline' . 
		'NotificationsArea'->'1.0-baseline' . 
		'Seaside30'->'3.0.0-rc.3'} 
			do: [:eachProject|
				spec 
					project: 
						eachProject key 
							with: [
								spec 
									className: 'ConfigurationOf', eachProject key;
									version: eachProject value;
									file: 'ConfigurationOf', eachProject key;
									repository: 'http://www.squeaksource.com/MetacelloRepository']].			
			spec
				project: 
				'Magritte2' 
					with:  [
						spec
							className: 'ConfigurationOfMagritte2';
							version: '2.0.5';
							loads: #('Magritte-Model' 'Magritte-Tests-Model' 'Magritte-Seaside');
							file: 'ConfigurationOfMagritte2';
							repository: 'http://www.squeaksource.com/MetacelloRepository'];			
			repository: 
				'http://www.squeaksource.com/SunnysidePlanning2';				
			package: 'SunnysidePlanning2-Domain' 
				with: [ spec requires: #('Magritte2' ). ];
			package: 'SunnysidePlanning2-Presentation' 
				with: [ spec requires: #('SunnysidePlanning2-Domain' 
										'GoogleAnalytics' 
										'AXAnnouncements' 
										'PagedReader' 
										'NotificationsArea' 
										'Seaside30' ). ];
			package: 
				'SunnysidePlanning2-Tests-Domain' 
					with: [ spec requires: #('SunnysidePlanning2-Domain')];
			package: 
				'SunnysidePlanning2-Tests-Presentation' 
					with: [ spec requires: #('SunnysidePlanning2-Presentation' 'WebTester')];
			group: 
				'default' with: #('SunnysidePlanning2-Domain' 
								'SunnysidePlanning2-Presentation'
								'SunnysidePlanning2-Tests-Domain'
								'SunnysidePlanning2-Tests-Presentation')].
			! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'baselines' stamp: 'BartGauquie 9/26/2010 21:22'!
baseline120: spec 
	<version: '1.2.0-baseline'>
	
	spec for: #common do: [
		spec 
			blessing: 
				#baseline.
		{'GoogleAnalytics'->'1.0-baseline' . 
		'PagedReader'->'1.1-baseline' . 
		'NotificationsArea'->'1.0-baseline' . 
		'Seaside30'->'3.0.0-rc.3' .
		'Cecinestpasunepomme'->'1.0-baseline'} 
			do: [:eachProject|self addDependentProject: eachProject key withVersion: eachProject value usingSpec: spec].			
			spec
				project: 
				'Magritte2' 
					with:  [
						spec
							className: 'ConfigurationOfMagritte2';
							version: '2.0.5';
							loads: #('Magritte-Model' 'Magritte-Tests-Model' 'Magritte-Seaside');
							file: 'ConfigurationOfMagritte2';
							repository: 'http://www.squeaksource.com/MetacelloRepository'];			
			repository: 
				'http://www.squeaksource.com/SunnysidePlanning2';
			package: 'AXAnnouncements-Core';
			package: 'AXAnnouncements-Subscriptions'
				with: [spec requires: #('AXAnnouncements-Core')];
			package: 'SunnysidePlanning2-Infrastructure';
			package: 'SunnysidePlanning2-Domain' 
				with: [ spec requires: #('Magritte2' 
										'SunnysidePlanning2-Infrastructure' 
										'Cecinestpasunepomme' ). ];
			package: 'SunnysidePlanning2-Presentation' 
				with: [ spec requires: #('SunnysidePlanning2-Domain' 
										'GoogleAnalytics' 
										'AXAnnouncements-Subscriptions'
										'PagedReader' 
										'NotificationsArea' 										
										'Seaside30' ). ];
			package: 
				'SunnysidePlanning2-Tests-Domain' 
					with: [ spec requires: #('SunnysidePlanning2-Domain')];
			group: 
				'default' with: #('SunnysidePlanning2-Domain' 
								'SunnysidePlanning2-Presentation'
								'SunnysidePlanning2-Tests-Domain')].
	spec for: #pharo do: [
		spec 
			blessing: 
				#baseline.
		self addDependentProject: 'WebTester' withVersion: '1.1-baseline' usingSpec: spec.
		spec 
			package: 
				'SunnysidePlanning2-Tests-Presentation' 
					with: [ spec requires: #('SunnysidePlanning2-Presentation' 'WebTester')].
		spec 
			group: 
				'default' with: #('SunnysidePlanning2-Domain' 
								'SunnysidePlanning2-Presentation'
								'SunnysidePlanning2-Tests-Domain'
								'SunnysidePlanning2-Tests-Presentation')
		].
			! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'accessing' stamp: 'BartGauquie 6/22/2010 21:36'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'versions' stamp: 'BartGauquie 9/24/2010 13:30'!
version100: spec
	<version: '1.0.0' imports: #('1.0.0-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BartGauquie'.
		spec timestamp: '9/24/2010 13:30'.
		spec package: 'SunnysidePlanning2' with: 'SunnysidePlanning2-BartGauquie.82'.].! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'versions' stamp: 'BartGauquie 9/24/2010 20:59'!
version110: spec
	<version: '1.1.0' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BartGauquie'.
		spec timestamp: '9/24/2010 20:59'.
		spec 
			package: 'SunnysidePlanning2-Domain' with: 'SunnysidePlanning2-Domain-BartGauquie.2';
			package: 'SunnysidePlanning2-Presentation' with: 'SunnysidePlanning2-Presentation-BartGauquie.2';
			package: 'SunnysidePlanning2-Tests-Domain' with: 'SunnysidePlanning2-Tests-Domain-BartGauquie.2';
			package: 'SunnysidePlanning2-Tests-Presentation' with: 'SunnysidePlanning2-Tests-Presentation-BartGauquie.1'.].! !

!ConfigurationOfSunnysidePlanning2 methodsFor: 'versions' stamp: 'BartGauquie 9/29/2010 21:09'!
version120: spec
	<version: '1.2.0' imports: #('1.2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BartGauquie'.
		spec timestamp: '9/29/2010 21:09'.
		spec 
			package: 'AXAnnouncements-Core' with: 'AXAnnouncements-Core-BartGauquie.3';
			package: 'AXAnnouncements-Subscriptions' with: 'AXAnnouncements-Subscriptions-BartGauquie.3';
			package: 'SunnysidePlanning2-Domain' with: 'SunnysidePlanning2-Domain-BartGauquie.10';
			package: 'SunnysidePlanning2-Infrastructure' with: 'SunnysidePlanning2-Infrastructure-BartGauquie.10';
			package: 'SunnysidePlanning2-Presentation' with: 'SunnysidePlanning2-Presentation-BartGauquie.26';
			package: 'SunnysidePlanning2-Tests-Domain' with: 'SunnysidePlanning2-Tests-Domain-BartGauquie.8'.].
	spec for: #pharo do: [
		spec package: 'SunnysidePlanning2-Tests-Presentation' with: 'SunnysidePlanning2-Tests-Presentation-BartGauquie.11'.].! !
